%SCRIPT FILE To plot joint ellipsoids for general and nested models

...........................................................................
...........................................................................

clear all

load Main_emp_annual_ART762


subplot(2,1,1), surf(x, y, z)
%axis equal
xlabel('$\mu_{T+1}$','Interpreter','latex','fontsize',18);    
ylabel('$\beta_{T+1}$','Interpreter','latex','fontsize',18); 
zlabel('$\sigma_{{\mathcal{V}}}^{2}$','Interpreter','latex','fontsize',18); 
title('\textbf{Panel A: Model $M_1$}','Interpreter','latex','fontsize',18);


load Main_emp_annual_AR_modCT762


subplot(2,1,2), surf(x, y, z)
%axis equal
xlabel('$\mu_{T+1}$','Interpreter','latex','fontsize',18);    
ylabel('$\beta_{T+1}$','Interpreter','latex','fontsize',18); 
zlabel('$\sigma_{{\mathcal{V}}}^{2}$','Interpreter','latex','fontsize',18); 
title('\textbf{Panel B: Model $M_2$}','Interpreter','latex','fontsize',18);

saveas(gcf,['Joint_ellipsoid_AR',int2str(T),'.fig']);	%save as matlab "fig"
