#setwd("C:/Users/.../Final_JGCS")

library(animation)

AR_norm.p <- function(x){exp(-(x-(0.6509 - pmval.p*sqrt((5.9915-(100/2)*((1.0753-sig2.p)/sig2.p)^2)*sig2.p/184.0416))*1.1899)^2/(2*sig2.p))/sqrt(2*pi*sig2.p)}

AR_norm <- function(x){exp(-(x-0.6509*1.1899)^2/(2*1.0753))/sqrt(2*pi*1.0753)}

T <- 100

seqn <- 100

sig2rng <- seq(0.7988,1.6446,length=seqn)

pmvalrng1 <- array(1,c(1,seqn))

pmvalrng2 <- array(-1,c(1,seqn))

#curve(AR_norm, from=-3.8, to=5.5)

composite.expression <- expression(paste("f(", Y[T+1], " | ", y[1:T], "; ", theta, " )"))


#Static Plots

# Specify the file name.
pdf("norm60b_stat_rb.pdf",width=8,height=4)

cl <- rainbow(6)

 for (r in 1:6){
	k <- 1+(r-1)*19
	pmval.p <- pmvalrng1[k]
    	sig2.p <- sig2rng[k]
    	curve(AR_norm.p, from= -3.8, to= 5.5, n=501, xlab=expression(Y[T+1]), ylab=composite.expression, ylim = c(0,0.45), main="", col = cl[r], cex.lab=1.18)
	par(new = TRUE)
	}
 for (s in 1:6){
	k <- 1+(s-1)*19
    	pmval.p <- pmvalrng2[k]
    	sig2.p <- sig2rng[k]
    	curve(AR_norm.p, from= -3.8, to= 5.5, n=501, xlab=expression(Y[T+1]), ylab=composite.expression, ylim = c(0,0.45), main="", col = cl[s], cex.lab=1.18)
      par(new = TRUE)
}

	curve(AR_norm, from=-3.8, to=5.5, n=501, ylim = c(0,0.45), add=TRUE, lty = 3, lwd = 2) 

# Save the file.
dev.off()



