#setwd("C:/Users/.../Final_JGCS")
#set.seed(42)
library(animation)
library(skewt)
library(R.matlab)
library(R.oo)
library(R.utils)

data <- readMat("toR_skewt.mat")

save(data,file="data.RData")

skewT.p <- function(x){dskt(x-hbeta.p*cm, df=hv.p, gamma=hlamb.p)}

skewT <- function(x){dskt(x-betah*cm, df=vh, gamma=lambdah)}


#load("data.RData")


x <- data$x
y <- data$y
z <- data$z

T <- data$T
cm <- data$c.m
hthskt <- data$hth.skt

hYT <- data$hat.Y.T

v <- data$v
beta <- data$beta.M
lambda <- data$lambda

vh <- data$h.v
betah <- data$h.beta.M
lambdah <- data$h.lambda

curve(skewT, from=(hYT-8), to=(hYT+9))

composite.expression <- expression(paste("f(", Y[T+1], " | ", y[1:T], "; ", theta, " )"))

#Static Plots

# Specify the file name.
pdf("skewTplotsn2_stat2_rb.pdf",width=8,height=4)

 c <- 0;

 cl <- rainbow(21)

 for (r in 1:7){
	for (s in 1:3){
	c <- c+1
	k <- 2+(r-1)*3
	l <- 3+(s-1)*8
      hbeta.p <- x[k,l]
      hv.p <- y[k,l]
      hlamb.p <- z[k,l]
    	plot(skewT.p, from=(hYT-18), to=(hYT+6), n=501, xlab=expression(Y[T+1]), ylab=composite.expression, ylim = c(0,0.3), main="", col = cl[c], cex.lab=1.18)
    	par(new = TRUE)
	}
  }
    	plot(skewT, from=(hYT-18), to=(hYT+6), n=501, ylim = c(0,0.3), add=TRUE, lty = 3, lwd = 2)    

# Save the file.
dev.off()



