function newpdf = npdf3(x,mu1,mu2,om,phi1,phi2,phi3,gam,sig2)

%theta =[mu,om,phi1,phi2,phi3,gam,abs(sig2)];

global T

b_t = zeros(1,T+1);

%h_mu = mean(x(1:T));

b_t(1) = om;

b_t(2) = om + phi1*x(T+1) + gam*((x(1)- mu1)/sqrt(exp(b_t(1)+abs(sig2)/2)));

%b_t(3) = om + phi1*x(T+2) + gam*((x(2)- mu1 - mu2*x(1))/sqrt(exp(b_t(2)+abs(sig2)/2)));

for i=2:4
  b_t(i+1) = om + phi1*x(T+i) + gam*((x(i)- mu1 - mu2*x(i-1))/sqrt(exp(b_t(i)+abs(sig2)/2)));
end

for i=5:21
        b_t(i+1) = om + phi1*x(T+i) + phi2*mean(x(T+i+1-5:T+i+1-1)) + gam*((x(i)-  mu1 - mu2*x(i-1))/sqrt(exp(b_t(i)+abs(sig2)/2)));
%        logY(i+1) = b_t(i) + e_M(i);
end

for i=22:T
        b_t(i+1) = om + phi1*x(T+i) + phi2*mean(x(T+i+1-5:T+i+1-1)) + phi3*mean(x(T+i+1-22:T+i+1-1)) + gam*((x(i)-  mu1 - mu2*x(i-1))/sqrt(exp(b_t(i)+abs(sig2)/2)));
%        logY(i+1) = b_t(i) + e_M(i);
end

beta_t = b_t(1:T);

sigmasq_t = exp(beta_t'+ abs(sig2)/2);

%u_M = (x(1:T)- mu)./sqrt(sigmasq_t);

newpdf = zeros(2*T,1);

newpdf(1) = (1/(sqrt(2*pi*sigmasq_t(1))))*exp(-0.5*(((x(1)- mu1)^2)/sigmasq_t(1)));

newpdf(T+1) = (1/(sqrt(2*pi*abs(sig2))))*exp(-0.5*((x(1+T)-(beta_t(1)))^2)/abs(sig2));

for t=2:T
    newpdf(t) = (1/(sqrt(2*pi*sigmasq_t(t))))*exp(-0.5*(((x(t)-  mu1 - mu2*x(t-1))^2)/sigmasq_t(t)));
    
    newpdf(T+t) = (1/(sqrt(2*pi*abs(sig2))))*exp(-0.5*((x(T+t)-(beta_t(t)))^2)/abs(sig2));
end



% for t=T+2:2*T
%     newpdf(t) = (1/(sqrt(2*pi*theta(3))))*exp(-0.5*((x(t)-(theta(1)+theta(2)*x(t-1)))^2)/theta(3));
% end

% newpdf = 1/(2*pi*sqrt(exp(theta(1)+theta(2)*x(T+1:2*T-1)+theta(3)/2)*theta(3)))*...
%         exp(-0.5*(((x(2:T)- mu).^2)./exp(theta(1)+theta(2)*x(T+1:2*T-1)+theta(3)/2)...
%         + ((x(2+T:2*T)-(theta(1)+theta(2)*x(T+1:2*T-1))).^2)/theta(3)));