#setwd("C:/Users/.../Final_JGCS")

library(animation)

AR_norm.p <- function(x){exp(-(x-(0.6509 - pmval.p*sqrt((5.9915-(100/2)*((1.0753-sig2.p)/sig2.p)^2)*sig2.p/184.0416))*1.1899)^2/(2*sig2.p))/sqrt(2*pi*sig2.p)}

AR_norm <- function(x){exp(-(x-0.6509*1.1899)^2/(2*1.0753))/sqrt(2*pi*1.0753)}

T <- 100

seqn <- 100

sig2rng <- seq(0.7988,1.6446,length=seqn)

pmvalrng1 <- array(1,c(1,seqn))

pmvalrng2 <- array(-1,c(1,seqn))

#curve(AR_norm, from=-3.8, to=5.5)

composite.expression <- expression(paste("f(", Y[T+1], " | ", y[1:T], "; ", theta, " )"))


saveLatex({
ani.options(interval=0.2)
  for (r in 1:seqn){
    pmval.p <- pmvalrng1[r]
    sig2.p <- sig2rng[r]
    curve(AR_norm.p, from= -3.8, to= 5.5, n=501, xlab=expression(Y[T+1]), ylab=composite.expression, ylim = c(0,0.45), main="", cex.lab=1.18)
    curve(AR_norm, from=-3.8, to=5.5, n=501, ylim = c(0,0.45), add=TRUE, lty = 3) 
    ani.pause()
}
	for (s in 1:seqn){
    pmval.p <- pmvalrng2[seqn+1-s]
    sig2.p <- sig2rng[seqn+1-s]
    curve(AR_norm.p, from= -3.8, to= 5.5, n=501, xlab=expression(Y[T+1]), ylab=composite.expression, ylim = c(0,0.45), main="", cex.lab=1.18)
    curve(AR_norm, from=-3.8, to=5.5, n=501, ylim = c(0,0.45), add=TRUE, lty = 3)   
    ani.pause()
}
}, img.name = "norm60imgb", ani.opts = "controls,loop,width=0.95\\textwidth",
latex.filename = ifelse(interactive(), "norm60b.tex", ""),
interval = 0.1, 
#nmax = 10, 
ani.dev = "pdf", ani.type = "pdf", ani.width = 8,
ani.height = 4, documentclass = paste("\\documentclass{article}",
"\\usepackage[papersize={7in,7in},margin=0.3in]{geometry}",
sep = "\n"))


