function newpdf = npdf5(x,mu1,mu2,om,phi1,gam,sig2)

%theta =[mu,om,phi1,phi2,phi3,gam,abs(sig2)];

global T

b_t = zeros(1,T+1);

%h_mu = mean(x(1:T));

b_t(1) = om;

b_t(2) = om + phi1*x(T+1) + gam*((x(1)- mu1)/sqrt(exp(b_t(1)+abs(sig2)/2)));

%b_t(3) = om + phi1*x(T+2) + gam*((x(2)- mu1 - mu2*x(1))/sqrt(exp(b_t(2)+abs(sig2)/2)));

for i=2:T
  b_t(i+1) = om + phi1*x(T+i) + gam*((x(i)- mu1 - mu2*x(i-1))/sqrt(exp(b_t(i)+abs(sig2)/2)));
end

beta_t = b_t(1:T);

sigmasq_t = exp(beta_t'+ abs(sig2)/2);

%u_M = (x(1:T)- mu)./sqrt(sigmasq_t);

newpdf = zeros(2*T,1);

newpdf(1) = (1/(sqrt(2*pi*sigmasq_t(1))))*exp(-0.5*(((x(1)- mu1)^2)/sigmasq_t(1)));

newpdf(T+1) = (1/(sqrt(2*pi*abs(sig2))))*exp(-0.5*((x(1+T)-(beta_t(1)))^2)/abs(sig2));

for t=2:T
    newpdf(t) = (1/(sqrt(2*pi*sigmasq_t(t))))*exp(-0.5*(((x(t)-  mu1 - mu2*x(t-1))^2)/sigmasq_t(t)));
    
    newpdf(T+t) = (1/(sqrt(2*pi*abs(sig2))))*exp(-0.5*((x(T+t)-(beta_t(t)))^2)/abs(sig2));
end

